Bug 202280 - libogg-devel contains a .pc file but has no dependency on pkgconfig
libogg-devel contains a .pc file but has no dependency on pkgconfig
Product: Fedora
Classification: Fedora
Component: libogg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
Depends On:
  Show dependency treegraph
Reported: 2006-08-11 19:52 EDT by Jason Tibbitts
Modified: 2013-10-20 18:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-17 09:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Tiny specfile patch to add pkgconfig dependency (534 bytes, patch)
2006-08-11 19:52 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Jason Tibbitts 2006-08-11 19:52:23 EDT
The summary says it all: libogg-devel includes /usr/lib/pkgconfig/ogg.pc but has
no dependency on pkgconfig.
Comment 1 Jason Tibbitts 2006-08-11 19:52:23 EDT
Created attachment 134073 [details]
Tiny specfile patch to add pkgconfig dependency
Comment 2 Matthias Clasen 2006-08-16 18:22:30 EDT
I don't see why it should. You need pkg-config to use a .pc file, but that
does not mean that every package that installs a .pc file needs a pkg-config
dependency. We don't require cpp for each package that installs a header file,
Comment 3 Jason Tibbitts 2006-08-16 19:42:22 EDT
Well, the primary reason is directory ownership.  libogg-devel cannot own
/usr/lib/pkgconfig because that would be a violation of the prohibition against
needlessly owning directories owned by other packages.  But if it doesn't own
/usr/lib/pkgconfig and doesn't depend on that directory or some package which
provides it (i.e. pkgconfig) then that directory is unowned.

Because it wouldn't hurt to make this a bit more obvious, the packaging
committee voted to add a specific item to the guidelines; see our meeting notes
at http://fedoraproject.org/wiki/Packaging/IRCLog20060706.
Comment 4 Matthias Clasen 2006-08-16 23:02:46 EDT
I'd say a much more reasonable solution would be to let 
/usr/lib/pkgconfig be owned by the filesystem package.
Comment 5 Rex Dieter 2006-08-17 07:27:53 EDT
Matthias, the packaging guidelines are clear on this.  No unowned directories,
period.  As of right now, %{_libdir}/pkgconfig is owned by pkgconfig.  Fix it. 
Besides, .pc files are pretty much useless without pkgconfig, and keep in mind
that pkgconfig is a very small, innocuous package.  Why are you hesitant to make
such a small, simple change?

Now, if you disagree with this policy and/or directory ownerships, you're welcome
(and encouraged) to raise the issue (with the packaging comittee and/orr the
filesystem maintainer), but imo, that should happen *after* this bug is fixed.
Comment 6 Jesse Keating 2006-08-17 07:41:35 EDT
Until such time as the filesystem package owns the %{_libdir}/pkgconfig
directory, this guideline will stand.  If filesystem owns the directory and we
remove the fact that many packages could end up owning it, we can revisit this
issue and possible remove the necessity on pkgconfig for any file that drops a
.pc file.  However the former needs to happen before we discuss the latter.
Comment 7 Matthias Clasen 2006-08-17 09:17:46 EDT
right, we need to do all the work first, before we reconsider :-)
Comment 8 Christopher Stone 2006-08-17 14:51:28 EDT
I would say adding /usr/lib/pkgconfig to filesystem is totally UNreasonable. 
Why would you think this directory blongs there instead?  And even if it did,
you would still be requiring that any package that requires your package also
have to add pkgconfig which is just plain wrong.

Note You need to log in before you can comment on or make changes to this bug.